Debian Bug report logs - #370351
Make etc/sysctl.conf automatically configurable

version graph

Package: procps; Maintainer for procps is Craig Small <csmall@debian.org>; Source for procps is src:procps.

Reported by: Luk Claes <luk@debian.org>

Date: Sun, 4 Jun 2006 18:34:30 UTC

Severity: wishlist

Fixed in version procps/1:3.2.7-7

Done: Craig Small <csmall@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#370351; Package procps. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
New Bug report received and forwarded. Copy sent to Craig Small <csmall@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: submit@bugs.debian.org
Subject: Make etc/sysctl.conf automatically configurable
Date: Sun, 04 Jun 2006 20:20:52 +0200
[Message part 1 (text/plain, inline)]
Package: procps
Severity: wishlist

Hi Bdale

Automatically configuring etc/sysctl.conf is not policy compliant for
the moment as one needs to edit conffiles in the process.

A solution might be to create the file in the maintainerscripts so it's
no conffile...

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D


[signature.asc (application/pgp-signature, inline)]
[signature.asc (application/pgp-signature, attachment)]

Blocking bugs added: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, and 370351 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, 370351, and 370393 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, 370351, and 370393 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#370351; Package procps. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. Full text and rfc822 format available.

Message #16 received at 370351@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Luk Claes <luk@debian.org>, 370351@bugs.debian.org
Subject: Re: Bug#370351: Make etc/sysctl.conf automatically configurable
Date: Mon, 18 Feb 2008 16:43:30 +0100
Hi Craig,

On Sun, 04 Jun 2006, Luk Claes wrote:
> Automatically configuring etc/sysctl.conf is not policy compliant for
> the moment as one needs to edit conffiles in the process.
> 
> A solution might be to create the file in the maintainerscripts so it's
> no conffile...

Another simpler (and nicer) solution is simply to change
/etc/init.d/procps so that it uses the content of /etc/sysctl.conf but
also the content of /etc/sysctl.d/*.conf.

I would like to see this implemented because I have the case with another
custom Debian derivative where I'd like to change some kernel
parameters and it would be nice to be able to do that by dropping a file
in a standardized place instead of adding yet another startup script just
for that.

               if [ ! -r /etc/sysctl.conf ]
               then
                       exit 0
               fi
               log_action_begin_msg "Setting kernel variables"
               sysctl -q -p
               log_action_end_msg $?

could become:

for file in /etc/sysctl.d/*.conf /etc/sysctl.conf; do
	if [ -r $file ]; then
		log_action_begin_msg "Setting kernel variables ($file)"
		sysctl -q -p $file
                log_action_end_msg $?
	fi
done

I left /etc/sysctl.conf at the end so it overrides any other file.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#370351; Package procps. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. Full text and rfc822 format available.

Message #21 received at 370351@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Raphael Hertzog <hertzog@debian.org>, 370351@bugs.debian.org
Subject: Re: Bug#370351: Make etc/sysctl.conf automatically configurable
Date: Fri, 29 Feb 2008 12:23:13 +0100
[Message part 1 (text/plain, inline)]
Hi Craig,

can you please comment on this bug and the proposed solution by Raphael, which 
looks sensible to me? (And which is important to have implemented for CDDs.)

Otherwise I'd probably will prepare a proper (as in suited for NMU) patch, 
send it to the BTS and then I'll upload to delayed-7 or such. But I'd 
definitly prefer to hear your opinion on this matter first!

The freeze is getting closer... :)


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#370351; Package procps. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. Full text and rfc822 format available.

Message #26 received at 370351@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 370351@bugs.debian.org
Subject: dear maintainer, please comment...
Date: Sat, 5 Apr 2008 20:03:13 +0200
[Message part 1 (text/plain, inline)]
Hi Craig,

could you please comment on this bug? It's really important for us to fix 
#311188 for Lenny, so that upgrades from Lenny to Lenny+1 will work without 
problems for Debian Edu installations.

Thank you.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Craig Small <csmall@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Luk Claes <luk@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 370351-close@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: 370351-close@bugs.debian.org
Subject: Bug#370351: fixed in procps 1:3.2.7-7
Date: Mon, 07 Apr 2008 01:47:05 +0000
Source: procps
Source-Version: 1:3.2.7-7

We believe that the bug you reported is fixed in the latest version of
procps, which is due to be installed in the Debian FTP archive:

libproc-dev_3.2.7-7_i386.deb
  to pool/main/p/procps/libproc-dev_3.2.7-7_i386.deb
procps_3.2.7-7.diff.gz
  to pool/main/p/procps/procps_3.2.7-7.diff.gz
procps_3.2.7-7.dsc
  to pool/main/p/procps/procps_3.2.7-7.dsc
procps_3.2.7-7_i386.deb
  to pool/main/p/procps/procps_3.2.7-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 370351@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Craig Small <csmall@debian.org> (supplier of updated procps package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 07 Apr 2008 10:01:05 +1000
Source: procps
Binary: procps libproc-dev
Architecture: source i386
Version: 1:3.2.7-7
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Craig Small <csmall@debian.org>
Description: 
 libproc-dev - library for accessing process information from /proc
 procps     - /proc file system utilities
Closes: 351065 370351 409118 431081 459890 463652 463824 464150 465761 468363 468656 469557 474406 474431
Changes: 
 procps (1:3.2.7-7) unstable; urgency=low
 .
   * Actually apply top patch Closes: #351065
   * Irix mode + thread CPU fix Closes: #459890
   * kill/skill prints error message Closes: #468363
   * rule file changes for nostrip and passing CFLAGS Closes: #468656
   * Duplicate ignore broadcast in sysctl.conf removed Closes: #474406
   * Added IPv6 lines for redirects and source route to sysctl.conf
     Closes: #474431
   * Fixed IPv6 forwarding line in sysctl.conf Closes: #469557, #464150
   * pri field explained in ps.1 Closes: #465761
   * sysct.conf now has TCP/IP instead of TCP.IP again Closes: #463652,
     #463824
   * Added /etc/sysctl.d/ directory for other packages Closes: #370351
   * Added bug presubj for kill Closes: #409118
   * no-heading option documented in ps.1 Closes: #431081
Files: 
 a47ad8e12b29c336b72ebbad781dc07d 612 admin required procps_3.2.7-7.dsc
 ee3848025907b13470e0c6a5e5d3816f 44884 admin required procps_3.2.7-7.diff.gz
 b72fb24f60d9ba0468bb402aa35b68ba 220270 admin required procps_3.2.7-7_i386.deb
 9496d6a7ad29d0140e7325107a599b03 55762 libdevel optional libproc-dev_3.2.7-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH+Xqsx2zlrBLK36URAmLwAKCOt5prsKJ3vne1NIJeVa4MWqCvwwCePhFP
wxxOqPsdVRbAz4nv20eHGnY=
=ko27
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 May 2008 07:40:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:33:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.